Skip to main content
`Ctrl`+`K`

# TaoLineSearchSetInitialStepLength

Sets the initial step length of a line search. If this value is not set then 1.0 is assumed.

## Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetInitialStepLength(TaoLineSearch ls, PetscReal s)

Logically Collective

## Input Parameters

- ls - the `TaoLineSearch` context

- s - the initial step size

## See Also

TAO: Optimization Solvers, `Tao`, `TaoLineSearch`, `TaoLineSearchGetStepLength()`, `TaoLineSearchApply()`

## Level

intermediate

## Location

src/tao/linesearch/interface/taolinesearch.c

Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages